[arch-commits] Commit in lighttpd/repos (18 files)
Tom Gundersen
tomegun at archlinux.org
Tue Dec 4 00:10:53 UTC 2012
Date: Monday, December 3, 2012 @ 19:10:52
Author: tomegun
Revision: 172485
db-move: moved lighttpd from [staging] to [testing] (i686, x86_64)
Added:
lighttpd/repos/testing-i686/
lighttpd/repos/testing-i686/PKGBUILD
(from rev 172479, lighttpd/repos/staging-i686/PKGBUILD)
lighttpd/repos/testing-i686/lighttpd.conf
(from rev 172479, lighttpd/repos/staging-i686/lighttpd.conf)
lighttpd/repos/testing-i686/lighttpd.install
(from rev 172479, lighttpd/repos/staging-i686/lighttpd.install)
lighttpd/repos/testing-i686/lighttpd.logrotate.d
(from rev 172479, lighttpd/repos/staging-i686/lighttpd.logrotate.d)
lighttpd/repos/testing-i686/lighttpd.rc.d
(from rev 172479, lighttpd/repos/staging-i686/lighttpd.rc.d)
lighttpd/repos/testing-i686/lighttpd.service
(from rev 172479, lighttpd/repos/staging-i686/lighttpd.service)
lighttpd/repos/testing-i686/lighttpd.tmpfiles
(from rev 172479, lighttpd/repos/staging-i686/lighttpd.tmpfiles)
lighttpd/repos/testing-x86_64/
lighttpd/repos/testing-x86_64/PKGBUILD
(from rev 172479, lighttpd/repos/staging-x86_64/PKGBUILD)
lighttpd/repos/testing-x86_64/lighttpd.conf
(from rev 172479, lighttpd/repos/staging-x86_64/lighttpd.conf)
lighttpd/repos/testing-x86_64/lighttpd.install
(from rev 172479, lighttpd/repos/staging-x86_64/lighttpd.install)
lighttpd/repos/testing-x86_64/lighttpd.logrotate.d
(from rev 172479, lighttpd/repos/staging-x86_64/lighttpd.logrotate.d)
lighttpd/repos/testing-x86_64/lighttpd.rc.d
(from rev 172479, lighttpd/repos/staging-x86_64/lighttpd.rc.d)
lighttpd/repos/testing-x86_64/lighttpd.service
(from rev 172479, lighttpd/repos/staging-x86_64/lighttpd.service)
lighttpd/repos/testing-x86_64/lighttpd.tmpfiles
(from rev 172479, lighttpd/repos/staging-x86_64/lighttpd.tmpfiles)
Deleted:
lighttpd/repos/staging-i686/
lighttpd/repos/staging-x86_64/
-------------------------------------+
testing-i686/PKGBUILD | 72 +++++++++++++++++++
testing-i686/lighttpd.conf | 12 +++
testing-i686/lighttpd.install | 9 ++
testing-i686/lighttpd.logrotate.d | 9 ++
testing-i686/lighttpd.rc.d | 127 ++++++++++++++++++++++++++++++++++
testing-i686/lighttpd.service | 12 +++
testing-i686/lighttpd.tmpfiles | 2
testing-x86_64/PKGBUILD | 72 +++++++++++++++++++
testing-x86_64/lighttpd.conf | 12 +++
testing-x86_64/lighttpd.install | 9 ++
testing-x86_64/lighttpd.logrotate.d | 9 ++
testing-x86_64/lighttpd.rc.d | 127 ++++++++++++++++++++++++++++++++++
testing-x86_64/lighttpd.service | 12 +++
testing-x86_64/lighttpd.tmpfiles | 2
14 files changed, 486 insertions(+)
Copied: lighttpd/repos/testing-i686/PKGBUILD (from rev 172479, lighttpd/repos/staging-i686/PKGBUILD)
===================================================================
--- testing-i686/PKGBUILD (rev 0)
+++ testing-i686/PKGBUILD 2012-12-04 00:10:52 UTC (rev 172485)
@@ -0,0 +1,72 @@
+# $Id$
+# Maintainer: Pierre Schmitz <pierre at archlinux.de>
+
+pkgname=lighttpd
+pkgver=1.4.32
+pkgrel=2
+pkgdesc='A secure, fast, compliant and very flexible web-server'
+license=('custom')
+arch=('i686' 'x86_64')
+url="http://www.lighttpd.net/"
+depends=('pcre' 'bzip2' 'libldap' 'util-linux')
+makedepends=('fcgi' 'libmysqlclient' 'lua51' 'libxml2' 'e2fsprogs' 'sqlite' 'gdbm' 'pkgconfig')
+optdepends=('libxml2: mod_webdav'
+ 'lua51: mod_cml/mod_magnet'
+ 'libmysqlclient: mod_mysql_vhost'
+ 'sqlite: mod_webdav')
+backup=('etc/lighttpd/lighttpd.conf' 'etc/logrotate.d/lighttpd')
+options=('!libtool' 'emptydirs')
+install='lighttpd.install'
+source=("http://download.lighttpd.net/lighttpd/releases-1.4.x/lighttpd-${pkgver}.tar.xz"
+ "http://download.lighttpd.net/lighttpd/releases-1.4.x/lighttpd-${pkgver}.tar.xz.asc"
+ 'lighttpd.rc.d' 'lighttpd.logrotate.d' 'lighttpd.conf' 'lighttpd.tmpfiles' 'lighttpd.service')
+sha256sums=('1368f80069ce71f5928cad59c8e60c0b95876942ca9e02c53853e54ae24aedc1'
+ '5456a90967df6774386010baa3fa67dba1c80c3b7058c70c80931d8dea5093e7'
+ '186f4bb2364f82d4076a2ba7d3e088ffb356550493d92dd9d5eb57cac2839c17'
+ '6df18675691384c48b9137c8f18ca238055001f1077baf05cb8322247b475a77'
+ 'ee56422fe48f2683ccb5ca2e3dc6bad79ea8e1cbd043b21d2ea73b87018e35aa'
+ 'd8a185145a7c08b4fd8c8e6c12dae3e176389dd9b1c66e239757b2ba5108c871'
+ '708cefe97541edba73f572ed3836bd056462b1467e45e1912c9d960139929696')
+
+build() {
+ cd $srcdir/$pkgname-$pkgver
+
+ ./configure --prefix=/usr \
+ --libdir=/usr/lib/lighttpd/ \
+ --sysconfdir=/etc/lighttpd \
+ --with-mysql \
+ --with-ldap \
+ --with-attr \
+ --with-openssl \
+ --with-kerberos5 \
+ --without-fam \
+ --with-webdav-props \
+ --with-webdav-locks \
+ --with-gdbm \
+ --with-memcache \
+ --with-lua
+ make
+}
+
+check() {
+ cd $srcdir/$pkgname-$pkgver
+ make check
+}
+
+package() {
+ cd $srcdir/$pkgname-$pkgver
+ make DESTDIR=$pkgdir install
+
+ install -D -m755 $srcdir/lighttpd.rc.d $pkgdir/etc/rc.d/lighttpd
+ install -D -m644 $srcdir/lighttpd.logrotate.d $pkgdir/etc/logrotate.d/lighttpd
+ install -D -m644 $srcdir/lighttpd.conf $pkgdir/etc/lighttpd/lighttpd.conf
+ install -d -m755 -o http -g http $pkgdir/var/{log,cache}/lighttpd/
+ install -D -m644 ${srcdir}/lighttpd.tmpfiles ${pkgdir}/usr/lib/tmpfiles.d/lighttpd.conf
+ install -D -m644 ${srcdir}/lighttpd.service ${pkgdir}/usr/lib/systemd/system/lighttpd.service
+
+ pushd doc/config >/dev/null
+ find . -type f ! -name 'Makefile*' -exec install -D -m644 {} ${pkgdir}/usr/share/doc/lighttpd/config/{} \;
+ popd >/dev/null
+
+ install -D -m644 COPYING $pkgdir/usr/share/licenses/$pkgname/COPYING
+}
Copied: lighttpd/repos/testing-i686/lighttpd.conf (from rev 172479, lighttpd/repos/staging-i686/lighttpd.conf)
===================================================================
--- testing-i686/lighttpd.conf (rev 0)
+++ testing-i686/lighttpd.conf 2012-12-04 00:10:52 UTC (rev 172485)
@@ -0,0 +1,12 @@
+# This is a minimal example config
+# See /usr/share/doc/lighttpd
+# and http://redmine.lighttpd.net/projects/lighttpd/wiki/Docs:ConfigurationOptions
+
+server.port = 80
+server.username = "http"
+server.groupname = "http"
+server.document-root = "/srv/http"
+server.errorlog = "/var/log/lighttpd/error.log"
+dir-listing.activate = "enable"
+index-file.names = ( "index.html" )
+mimetype.assign = ( ".html" => "text/html", ".txt" => "text/plain", ".jpg" => "image/jpeg", ".png" => "image/png", "" => "application/octet-stream" )
Copied: lighttpd/repos/testing-i686/lighttpd.install (from rev 172479, lighttpd/repos/staging-i686/lighttpd.install)
===================================================================
--- testing-i686/lighttpd.install (rev 0)
+++ testing-i686/lighttpd.install 2012-12-04 00:10:52 UTC (rev 172485)
@@ -0,0 +1,9 @@
+post_install() {
+ if [[ ! -d run/lighttpd ]]; then
+ usr/bin/systemd-tmpfiles --create usr/lib/tmpfiles.d/lighttpd.conf
+ fi
+}
+
+post_upgrade() {
+ post_install
+}
Copied: lighttpd/repos/testing-i686/lighttpd.logrotate.d (from rev 172479, lighttpd/repos/staging-i686/lighttpd.logrotate.d)
===================================================================
--- testing-i686/lighttpd.logrotate.d (rev 0)
+++ testing-i686/lighttpd.logrotate.d 2012-12-04 00:10:52 UTC (rev 172485)
@@ -0,0 +1,9 @@
+/var/log/lighttpd/*log {
+ missingok
+ copytruncate
+ notifempty
+ sharedscripts
+ postrotate
+ /usr/bin/killall -HUP lighttpd-angel &>/dev/null || true
+ endscript
+}
Copied: lighttpd/repos/testing-i686/lighttpd.rc.d (from rev 172479, lighttpd/repos/staging-i686/lighttpd.rc.d)
===================================================================
--- testing-i686/lighttpd.rc.d (rev 0)
+++ testing-i686/lighttpd.rc.d 2012-12-04 00:10:52 UTC (rev 172485)
@@ -0,0 +1,127 @@
+#!/bin/bash
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+
+pid_file='/run/lighttpd/lighttpd-angel.pid'
+
+get_pid() {
+ if [ -r "${pid_file}" ]; then
+ cat "${pid_file}"
+ else
+ pgrep -f /usr/sbin/lighttpd-angel
+ fi
+}
+
+test_config() {
+ stat_busy 'Checking configuration'
+ if [ $(id -u) -ne 0 ]; then
+ stat_append '(This script must be run as root)'
+ stat_die
+ fi
+
+ if [ ! -r /etc/lighttpd/lighttpd.conf ]; then
+ stat_append '(/etc/lighttpd/lighttpd.conf not found)'
+ stat_die
+ fi
+
+ /usr/sbin/lighttpd -t -f /etc/lighttpd/lighttpd.conf >/dev/null 2>&1
+ if [ $? -gt 0 ]; then
+ stat_append '(error in /etc/lighttpd/lighttpd.conf)'
+ stat_die
+ fi
+
+ stat_done
+}
+
+start() {
+ stat_busy 'Starting lighttpd'
+
+ local PID=$(get_pid)
+ if [ -z "$PID" ]; then
+ nohup /usr/sbin/lighttpd-angel -D -f /etc/lighttpd/lighttpd.conf >>/var/log/lighttpd/lighttpd-angel.log 2>&1 &
+ if [ $? -gt 0 ]; then
+ stat_die
+ else
+ echo $! > "${pid_file}"
+ add_daemon lighttpd
+ stat_done
+ fi
+ else
+ stat_die
+ fi
+}
+
+stop() {
+ stat_busy 'Stopping lighttpd'
+ local PID=$(get_pid)
+ [ -n "$PID" ] && kill $PID &> /dev/null
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ [ -f "${pid_file}" ] && rm -f "${pid_file}"
+ rm_daemon lighttpd
+ stat_done
+ fi
+}
+
+gracefull-stop() {
+ stat_busy 'Stopping lighttpd gracefully'
+ local PID=$(get_pid)
+ [ -n "$PID" ] && kill -INT $PID &> /dev/null
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ [ -f "${pid_file}" ] && rm -f "${pid_file}"
+ rm_daemon lighttpd
+ stat_done
+ fi
+}
+
+reload() {
+ stat_busy 'Reloading lighttpd'
+ local PID=$(get_pid)
+ [ -n "$PID" ] && kill -HUP $PID &> /dev/null
+ if [ $? -gt 0 ]; then
+ stat_die
+ else
+ stat_done
+ fi
+}
+
+
+case "$1" in
+ start)
+ test_config
+ start
+ ;;
+ stop)
+ test_config
+ stop
+ ;;
+ gracefull-stop)
+ test_config
+ stop
+ ;;
+ reload)
+ test_config
+ reload
+ ;;
+ restart)
+ test_config
+ stop
+ while [ -n "$(get_pid)" ]; do
+ sleep 1
+ done
+ start
+ ;;
+ status)
+ stat_busy 'Checking lighttpd status'
+ ck_status lighttpd
+ ;;
+ *)
+ echo "usage: $0 {start|stop|gracefull-stop|reload|restart|status}"
+esac
+
+exit 0
Copied: lighttpd/repos/testing-i686/lighttpd.service (from rev 172479, lighttpd/repos/staging-i686/lighttpd.service)
===================================================================
--- testing-i686/lighttpd.service (rev 0)
+++ testing-i686/lighttpd.service 2012-12-04 00:10:52 UTC (rev 172485)
@@ -0,0 +1,12 @@
+[Unit]
+Description=A secure, fast, compliant and very flexible web-server
+After=syslog.target network.target
+
+[Service]
+PrivateTmp=true
+ExecStart=/usr/sbin/lighttpd-angel -D -f /etc/lighttpd/lighttpd.conf
+ExecReload=/bin/kill -HUP $MAINPID
+KillSignal=SIGINT
+
+[Install]
+WantedBy=multi-user.target
Copied: lighttpd/repos/testing-i686/lighttpd.tmpfiles (from rev 172479, lighttpd/repos/staging-i686/lighttpd.tmpfiles)
===================================================================
--- testing-i686/lighttpd.tmpfiles (rev 0)
+++ testing-i686/lighttpd.tmpfiles 2012-12-04 00:10:52 UTC (rev 172485)
@@ -0,0 +1,2 @@
+d /run/lighttpd 755 http http -
+d /var/cache/lighttpd 755 http http 10d
Copied: lighttpd/repos/testing-x86_64/PKGBUILD (from rev 172479, lighttpd/repos/staging-x86_64/PKGBUILD)
===================================================================
--- testing-x86_64/PKGBUILD (rev 0)
+++ testing-x86_64/PKGBUILD 2012-12-04 00:10:52 UTC (rev 172485)
@@ -0,0 +1,72 @@
+# $Id$
+# Maintainer: Pierre Schmitz <pierre at archlinux.de>
+
+pkgname=lighttpd
+pkgver=1.4.32
+pkgrel=2
+pkgdesc='A secure, fast, compliant and very flexible web-server'
+license=('custom')
+arch=('i686' 'x86_64')
+url="http://www.lighttpd.net/"
+depends=('pcre' 'bzip2' 'libldap' 'util-linux')
+makedepends=('fcgi' 'libmysqlclient' 'lua51' 'libxml2' 'e2fsprogs' 'sqlite' 'gdbm' 'pkgconfig')
+optdepends=('libxml2: mod_webdav'
+ 'lua51: mod_cml/mod_magnet'
+ 'libmysqlclient: mod_mysql_vhost'
+ 'sqlite: mod_webdav')
+backup=('etc/lighttpd/lighttpd.conf' 'etc/logrotate.d/lighttpd')
+options=('!libtool' 'emptydirs')
+install='lighttpd.install'
+source=("http://download.lighttpd.net/lighttpd/releases-1.4.x/lighttpd-${pkgver}.tar.xz"
+ "http://download.lighttpd.net/lighttpd/releases-1.4.x/lighttpd-${pkgver}.tar.xz.asc"
+ 'lighttpd.rc.d' 'lighttpd.logrotate.d' 'lighttpd.conf' 'lighttpd.tmpfiles' 'lighttpd.service')
+sha256sums=('1368f80069ce71f5928cad59c8e60c0b95876942ca9e02c53853e54ae24aedc1'
+ '5456a90967df6774386010baa3fa67dba1c80c3b7058c70c80931d8dea5093e7'
+ '186f4bb2364f82d4076a2ba7d3e088ffb356550493d92dd9d5eb57cac2839c17'
+ '6df18675691384c48b9137c8f18ca238055001f1077baf05cb8322247b475a77'
+ 'ee56422fe48f2683ccb5ca2e3dc6bad79ea8e1cbd043b21d2ea73b87018e35aa'
+ 'd8a185145a7c08b4fd8c8e6c12dae3e176389dd9b1c66e239757b2ba5108c871'
+ '708cefe97541edba73f572ed3836bd056462b1467e45e1912c9d960139929696')
+
+build() {
+ cd $srcdir/$pkgname-$pkgver
+
+ ./configure --prefix=/usr \
+ --libdir=/usr/lib/lighttpd/ \
+ --sysconfdir=/etc/lighttpd \
+ --with-mysql \
+ --with-ldap \
+ --with-attr \
+ --with-openssl \
+ --with-kerberos5 \
+ --without-fam \
+ --with-webdav-props \
+ --with-webdav-locks \
+ --with-gdbm \
+ --with-memcache \
+ --with-lua
+ make
+}
+
+check() {
+ cd $srcdir/$pkgname-$pkgver
+ make check
+}
+
+package() {
+ cd $srcdir/$pkgname-$pkgver
+ make DESTDIR=$pkgdir install
+
+ install -D -m755 $srcdir/lighttpd.rc.d $pkgdir/etc/rc.d/lighttpd
+ install -D -m644 $srcdir/lighttpd.logrotate.d $pkgdir/etc/logrotate.d/lighttpd
+ install -D -m644 $srcdir/lighttpd.conf $pkgdir/etc/lighttpd/lighttpd.conf
+ install -d -m755 -o http -g http $pkgdir/var/{log,cache}/lighttpd/
+ install -D -m644 ${srcdir}/lighttpd.tmpfiles ${pkgdir}/usr/lib/tmpfiles.d/lighttpd.conf
+ install -D -m644 ${srcdir}/lighttpd.service ${pkgdir}/usr/lib/systemd/system/lighttpd.service
+
+ pushd doc/config >/dev/null
+ find . -type f ! -name 'Makefile*' -exec install -D -m644 {} ${pkgdir}/usr/share/doc/lighttpd/config/{} \;
+ popd >/dev/null
+
+ install -D -m644 COPYING $pkgdir/usr/share/licenses/$pkgname/COPYING
+}
Copied: lighttpd/repos/testing-x86_64/lighttpd.conf (from rev 172479, lighttpd/repos/staging-x86_64/lighttpd.conf)
===================================================================
--- testing-x86_64/lighttpd.conf (rev 0)
+++ testing-x86_64/lighttpd.conf 2012-12-04 00:10:52 UTC (rev 172485)
@@ -0,0 +1,12 @@
+# This is a minimal example config
+# See /usr/share/doc/lighttpd
+# and http://redmine.lighttpd.net/projects/lighttpd/wiki/Docs:ConfigurationOptions
+
+server.port = 80
+server.username = "http"
+server.groupname = "http"
+server.document-root = "/srv/http"
+server.errorlog = "/var/log/lighttpd/error.log"
+dir-listing.activate = "enable"
+index-file.names = ( "index.html" )
+mimetype.assign = ( ".html" => "text/html", ".txt" => "text/plain", ".jpg" => "image/jpeg", ".png" => "image/png", "" => "application/octet-stream" )
Copied: lighttpd/repos/testing-x86_64/lighttpd.install (from rev 172479, lighttpd/repos/staging-x86_64/lighttpd.install)
===================================================================
--- testing-x86_64/lighttpd.install (rev 0)
+++ testing-x86_64/lighttpd.install 2012-12-04 00:10:52 UTC (rev 172485)
@@ -0,0 +1,9 @@
+post_install() {
+ if [[ ! -d run/lighttpd ]]; then
+ usr/bin/systemd-tmpfiles --create usr/lib/tmpfiles.d/lighttpd.conf
+ fi
+}
+
+post_upgrade() {
+ post_install
+}
Copied: lighttpd/repos/testing-x86_64/lighttpd.logrotate.d (from rev 172479, lighttpd/repos/staging-x86_64/lighttpd.logrotate.d)
===================================================================
--- testing-x86_64/lighttpd.logrotate.d (rev 0)
+++ testing-x86_64/lighttpd.logrotate.d 2012-12-04 00:10:52 UTC (rev 172485)
@@ -0,0 +1,9 @@
+/var/log/lighttpd/*log {
+ missingok
+ copytruncate
+ notifempty
+ sharedscripts
+ postrotate
+ /usr/bin/killall -HUP lighttpd-angel &>/dev/null || true
+ endscript
+}
Copied: lighttpd/repos/testing-x86_64/lighttpd.rc.d (from rev 172479, lighttpd/repos/staging-x86_64/lighttpd.rc.d)
===================================================================
--- testing-x86_64/lighttpd.rc.d (rev 0)
+++ testing-x86_64/lighttpd.rc.d 2012-12-04 00:10:52 UTC (rev 172485)
@@ -0,0 +1,127 @@
+#!/bin/bash
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+
+pid_file='/run/lighttpd/lighttpd-angel.pid'
+
+get_pid() {
+ if [ -r "${pid_file}" ]; then
+ cat "${pid_file}"
+ else
+ pgrep -f /usr/sbin/lighttpd-angel
+ fi
+}
+
+test_config() {
+ stat_busy 'Checking configuration'
+ if [ $(id -u) -ne 0 ]; then
+ stat_append '(This script must be run as root)'
+ stat_die
+ fi
+
+ if [ ! -r /etc/lighttpd/lighttpd.conf ]; then
+ stat_append '(/etc/lighttpd/lighttpd.conf not found)'
+ stat_die
+ fi
+
+ /usr/sbin/lighttpd -t -f /etc/lighttpd/lighttpd.conf >/dev/null 2>&1
+ if [ $? -gt 0 ]; then
+ stat_append '(error in /etc/lighttpd/lighttpd.conf)'
+ stat_die
+ fi
+
+ stat_done
+}
+
+start() {
+ stat_busy 'Starting lighttpd'
+
+ local PID=$(get_pid)
+ if [ -z "$PID" ]; then
+ nohup /usr/sbin/lighttpd-angel -D -f /etc/lighttpd/lighttpd.conf >>/var/log/lighttpd/lighttpd-angel.log 2>&1 &
+ if [ $? -gt 0 ]; then
+ stat_die
+ else
+ echo $! > "${pid_file}"
+ add_daemon lighttpd
+ stat_done
+ fi
+ else
+ stat_die
+ fi
+}
+
+stop() {
+ stat_busy 'Stopping lighttpd'
+ local PID=$(get_pid)
+ [ -n "$PID" ] && kill $PID &> /dev/null
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ [ -f "${pid_file}" ] && rm -f "${pid_file}"
+ rm_daemon lighttpd
+ stat_done
+ fi
+}
+
+gracefull-stop() {
+ stat_busy 'Stopping lighttpd gracefully'
+ local PID=$(get_pid)
+ [ -n "$PID" ] && kill -INT $PID &> /dev/null
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ [ -f "${pid_file}" ] && rm -f "${pid_file}"
+ rm_daemon lighttpd
+ stat_done
+ fi
+}
+
+reload() {
+ stat_busy 'Reloading lighttpd'
+ local PID=$(get_pid)
+ [ -n "$PID" ] && kill -HUP $PID &> /dev/null
+ if [ $? -gt 0 ]; then
+ stat_die
+ else
+ stat_done
+ fi
+}
+
+
+case "$1" in
+ start)
+ test_config
+ start
+ ;;
+ stop)
+ test_config
+ stop
+ ;;
+ gracefull-stop)
+ test_config
+ stop
+ ;;
+ reload)
+ test_config
+ reload
+ ;;
+ restart)
+ test_config
+ stop
+ while [ -n "$(get_pid)" ]; do
+ sleep 1
+ done
+ start
+ ;;
+ status)
+ stat_busy 'Checking lighttpd status'
+ ck_status lighttpd
+ ;;
+ *)
+ echo "usage: $0 {start|stop|gracefull-stop|reload|restart|status}"
+esac
+
+exit 0
Copied: lighttpd/repos/testing-x86_64/lighttpd.service (from rev 172479, lighttpd/repos/staging-x86_64/lighttpd.service)
===================================================================
--- testing-x86_64/lighttpd.service (rev 0)
+++ testing-x86_64/lighttpd.service 2012-12-04 00:10:52 UTC (rev 172485)
@@ -0,0 +1,12 @@
+[Unit]
+Description=A secure, fast, compliant and very flexible web-server
+After=syslog.target network.target
+
+[Service]
+PrivateTmp=true
+ExecStart=/usr/sbin/lighttpd-angel -D -f /etc/lighttpd/lighttpd.conf
+ExecReload=/bin/kill -HUP $MAINPID
+KillSignal=SIGINT
+
+[Install]
+WantedBy=multi-user.target
Copied: lighttpd/repos/testing-x86_64/lighttpd.tmpfiles (from rev 172479, lighttpd/repos/staging-x86_64/lighttpd.tmpfiles)
===================================================================
--- testing-x86_64/lighttpd.tmpfiles (rev 0)
+++ testing-x86_64/lighttpd.tmpfiles 2012-12-04 00:10:52 UTC (rev 172485)
@@ -0,0 +1,2 @@
+d /run/lighttpd 755 http http -
+d /var/cache/lighttpd 755 http http 10d
More information about the arch-commits
mailing list